Package com.documentum.fc.common

# Class DfException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.documentum.fc.common.DfException

All Implemented Interfaces:
  `IDfException`, `Serializable`

Direct Known Subclasses:
  `DfAspectOperationException`, `DfContentAreaException`, `DfContentTemporarilyUnavailableException`, `DfDeadlockException`, `DfDocbaseUnreachableException`, `DfFilterException`, `DfObjectNotFoundException`, `DfOutOfServerSessionsException`, `DfOutOfSessionsException`, `DfRestrictedAccessException`, `DfScopingException`, `DfSearchException`, `DfServiceException`, `DfTypedObjectException`, `DfUserException`, `DfValidationException`, `InvocationException`

public class DfException extends Exception implements IDfException
The base class for all DFC checked exceptions.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.common.IDfException

  `DFC_E_BAD_FULL_FORMAT, DM_DFC_E_BAD_CLASS, DM_DFC_E_BAD_INDEX, DM_DFC_E_BAD_VALUE, DM_DFC_E_CLASS_NOT_FOUND, DM_DFC_E_CONVERTED_EXCEPTION, DM_DFC_E_INIT_DMCL, DM_DFC_E_INIT_ERROR, DM_DFC_E_INVALID_OPER_ON_MANAGED_SESSION, DM_DFC_E_NOT_PROGRAMMATIC, DM_DFC_E_NOT_SUPPORTED, DM_DFC_E_NOT_SUPPORTED_BY_SERVER, DM_DFC_E_NOT_SUPPORTED_FOR_GETTING_SYSOBJECT_ATTRIBUTE, DM_DFC_E_NOT_SUPPORTED_FOR_MODIFYING_SYSOBJECT_ATTRS, DM_DFC_E_NOT_SUPPORTED_FOR_SETTING_SYSOBJECT_ATTRIBUTE, DM_DFC_E_OBJECT_DISCONNECTED, DM_DFC_E_OBJECT_NOT_INITIALIZED, DM_DFC_E_PATH_NOT_FOUND, DM_DFC_E_RD_NO_SAVED_CONTENT, DM_DFC_E_RD_STORE_NOT_RETENTION_ENABLED, DM_DFC_E_SERVER, DM_DFC_E_TYPE_MISMATCH, DM_DFC_E_TYPE_MISMATCH_ADD, DM_DFC_E_TYPE_MISMATCH_COMP, DM_DFC_E_TYPE_MISMATCH_GET, DM_DFC_E_TYPE_NOT_FOUND, DM_DFC_E_UNDEFINED, DM_DFC_E_UNKNOWN_OBJECT_TYPE, DM_DFC_EXCEPTION_CANNOT_CHANGE_ASSEMBLED_FROM_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_CHRONICLE_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_CONTENT_SIZE, DM_DFC_EXCEPTION_CANNOT_CHANGE_FROZEN_ASSEMBLY_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_IMMUTABLE_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_INTERNAL_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_LINK_CNT, DM_DFC_EXCEPTION_CANNOT_CHANGE_LOCK_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_TYPE, DM_DFC_EXCEPTION_CANNOT_CHANGE_OWN_XPRIVILEGE, DM_DFC_EXCEPTION_CANNOT_CHANGE_REFERENCE_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_REPLICA_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_VERSION_LABELS, DM_DFC_EXCEPTION_CANNOT_CHANGE_VIRTUAL_DOC_STATUS, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_BOOLEAN_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFID_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFLIST_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_INTEGER_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_STRING_EXPECTED, DM_DFC_EXCEPTION_MANDATORY_ATTRIBUTES_MISSING, DM_DFC_EXCEPTION_OBJECT_ID_MISMATCH, DM_DFC_EXCEPTION_OBJECT_TYPE_MISMATCH, DM_DFC_EXCEPTION_REPEATING_ATTRIBUTE_NOT_SET, DM_DFC_EXCEPTION_SYS_OBJECT_ALREADY_EXISTS, DM_DFCBP_E_ALIAS_ALREADY_EXISTS, DM_DFCBP_E_ALIAS_NOT_EXIST, DM_DFCCOLL_E_BAD_QUERY_TYPE, DM_DFCCOLL_E_BAD_STATE, DM_DFCCTXTMGR_E_GETCONTEXT, DM_DFCQB_BAD_TIME_PATTERN, DM_DFCQB_FILE_ERROR, DM_DFCQB_INTERNAL_ERROR, DM_DFCQB_NO_PATH_SPECIFIED, DM_DFCRM_E_OBJCARR_ERROR, DM_DFCSESS_E_BAD_ADOPT_SESSID, DM_DFCSESS_E_DISCONNECTED, DM_DFCSESS_E_FAILED, DM_DFCSESS_E_FAILED_EX, DM_DFCSESS_E_ILLEGAL_OP, DM_DFCSP_INVALID_CUSTOM_RULE, DM_DFCSP_NO_RULES, DM_DFCSP_NOT_SUBTYPE_OF_SYSOBJECT_ERROR, DM_DFCSP_RELATION_EXISTS_ERROR, DM_DFCSP_RF_NO_ATTRIBUTE, DM_DFCSP_RF_NO_DATA_TYPE, DM_DFCSP_RF_NO_RELATION_OP, DM_DFCSP_RF_NO_VALUE, DM_DFCSP_RF_TYPE_OP_MISMATCH, DM_DFCSP_RL_FACTORS_OPS_MISMATCH, DM_DFCSP_RL_NO_FACTORS, DM_DFCSP_RL_NO_LOGIC_OP, DM_DFCSP_RL_NO_STORAGE, DM_DFCSP_RULE_VALIDATION_ERROR, DM_DFCSP_RULES_NOT_RENDERED_ERROR, DM_DFCSP_STORAGE_POLICY_ERROR, DM_DFCSP_STORAGE_POLICY_NOT_SAVED_ERROR, DM_DFCWF_E_APPEND_NOTE, DM_DFCWF_E_BAD_OBJECT, DM_DFCWF_E_BAD_TEMPLATE, DM_DFCWF_E_INVALID_GROUP, DM_DFCWF_E_MISSING_TEMPLATE, DM_DFCWF_E_NO_OBJECT, DM_DFCWF_E_NO_USER, DM_DFCWF_E_START_FAILED, DM_DFCWF_E_USER_LIMIT, DM_EXPR_E_EVALUATE, DM_EXPR_E_EVALUATOR_LOAD_FAIL, DM_EXPR_E_PARSE, DM_EXPR_E_PARSE_LOAD_FAIL, DM_NOTDFC_E_EXTERNAL, DM_NOTDFC_E_JAVA, DM_TEMPVDM_E_ERROR, DM_VALIDATION_E_ATTR_RULES, DM_VALIDATION_E_ATTR_RULES_NO_VAL, DM_VALIDATION_E_DATATYPE, DM_VALIDATION_E_ERROR, DM_VALIDATION_E_EXCESS_LEN, DM_VALIDATION_E_EXPR, DM_VALIDATION_E_FORMAT, DM_VALIDATION_E_OBJ_EXPR, DM_VALIDATION_E_OBJ_NULL_DATA, DM_VALIDATION_E_OBJ_RULES, DM_VALIDATION_E_USE_VALUE_ASST, errorCorruptedFile, errorDirectoryDoesNotExist, errorDirectoryIsActuallyAFile, errorFileDoesNotExist, errorFileIsActuallyADirectory, errorNoPermissionToCreateDirectory, errorNoPermissionToCreateFile, errorNoPermissionToDetectExistanceOfDirectory, errorNoPermissionToDetectExistanceOfFile, errorNoPermissionToOpenExistingFileWithWriteAccess, errorNoPermissionToOpenFileWithReadAccess, errorReadingFile, errorWritingToExistingFile, errorWritingToNewFile`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `DfException()`
  ``
  `DfException(int errorCode)`
  Deprecated.
  Alphanumeric identifiers are now used instead of numeric error codes
  ``
  `DfException(int errorCode, String message)`
  Deprecated.
  Alphanumeric identifiers are now used instead of numeric error codes
  ``
  `DfException(int errorCode, String arg1, String arg2, String arg3)`
  Deprecated.
  Alphanumeric identifiers are now used instead of numeric error codes
  `protected`
  `DfException(DfException originalException)`
  A special internal constructor used by derived classes when converting a generic DfException into a more specific DfException.
  ``
  `DfException(com.documentum.fc.common.impl.MessageHelper messageHelper)`
  ``
  `DfException(com.documentum.fc.common.impl.MessageHelper messageHelper, Throwable cause)`
  ``
  `DfException(String message)`
  ``
  `DfException(String message, Object[] arguments)`
  ``
  `DfException(String message, Object[] arguments, Throwable cause)`
  ``
  `DfException(String message, Throwable cause)`
  ``
  `DfException(Throwable cause)`
  ``
  `DfException(ResourceBundle bundle, int errorCode)`
  Deprecated.
  Alphanumeric identifiers are now used instead of numeric error codes
  ``
  `DfException(ResourceBundle bundle, int errorCode, String arg1, String arg2, String arg3)`
  Deprecated.
  Alphanumeric identifiers are now used instead of numeric error codes

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DfException`
  `appendException(DfException exptHead, DfException e, int stopAfterNumOfErrors)`
  Appends a DfException to the end of an exception chain.
  `static DfException`
  `convert(Exception e)`
  `Object[]`
  `getArguments()`
  Returns the arguments for this Exception.
  `final int`
  `getCount()`
  Returns the number of exceptions chained to this exception (including this exception itself).
  `final int`
  `getErrorCode()`
  Deprecated.
  Alphanumeric identifiers are now used instead of numeric error codes
  `String`
  `getMessage()`
  Returns the error message associated with this exception.
  `protected final com.documentum.fc.common.impl.MessageHelper`
  `getMessageHelper()`
  `String`
  `getMessageId()`
  Returns the alphanumeric message identifier.
  `final IDfException`
  `getNextException()`
  Returns the next exception in the chain, that is, the exception which triggered this one.
  `IDfProperties`
  `getProperties()`
  Returns the the IDfProperties interface to the object.
  `String`
  `getStackTraceAsString()`
  Returns the Java stack trace as a String.
  `final IDfException`
  `getTailException()`
  Returns the last exception in the chain of exceptions.
  `final String`
  `getThreadInfo()`
  Returns the name of the Java thread on which this exception was thrown.
  `static DfException`
  `materializedLightObjectException(IDfId id)`
  `static DfException`
  `newAlreadyMaterializedException(IDfId objectId)`
  `static DfException`
  `newApiBadType(IDfId componentId, String typeName)`
  `static DfException`
  `newAspectMissingPropertyBag(String aspectName, IDfId objId, String typeName)`
  `static DfException`
  `newAuditTrailOutOfRangeException(int valueIndex, String attributeName, int count)`
  `static DfException`
  `newBadCacheTypeNameException(String cacheTypeName)`
  `static DfException`
  `newBadClassException(String className, String baseClassName, Throwable cause)`
  `static DfException`
  `newBadDataTypeException(int dataType)`
  `static DfException`
  `newBadDateException(String value, String pattern)`
  `static DfException`
  `newBadDocbaseScopeIdException(long docbaseId)`
  `static DfException`
  `newBadFlushArgException(String flushType)`
  `static DfException`
  `newBadIdException(IDfId id)`
  `static DfException`
  `newBadTypeException(String typeName)`
  `static DfException`
  `newCannotChangeSharedParentException()`
  `static DfException`
  `newCannotDestroyAspect(String aspectName)`
  `static DfException`
  `newCantApplyException(String methodName)`
  `static DfException`
  `newCantExportDirtyObjectException(IDfId id)`
  `static DfException`
  `newCantFetchInvalidId(String objectId)`
  `static DfException`
  `newCantWithOpenTranException(String operationName)`
  `static DfException`
  `newClassNotFoundException(String className, Throwable cause)`
  `static DfException`
  `newDecodingFailedException(String tokenName, String tokenValue, Throwable cause)`
  `static DfException`
  `newDeserializeFailedException(String serializedValue, Throwable cause)`
  `static DfException`
  `newDynamicGroupUpdateException()`
  `static DfException`
  `newFailedPolicyUpdateException(Throwable cause)`
  `static DfException`
  `newFlushDDCacheBadKeyException(String cacheKey)`
  `static DfException`
  `newFlushDDCacheNoKeyException()`
  `static DfException`
  `newFlushRegistryCacheNoKeyException()`
  `static DfException`
  `newIllegalDateFormatException(String value)`
  `static DfException`
  `newIllegalSBOAccessException(String sboName)`
  `static DfException`
  `newInvalidAspectName(String aspectName)`
  `static DfException`
  `newInvalidDefaultValue(String typeName, String attrName, String defaultValue)`
  `static DfException`
  `newInvalidNewObjectException(String typeName)`
  `static DfException`
  `newInvalidTypeException(String typeName, IDfId objectId, String requiredTypeName)`
  `static DfException`
  `newMaterializationOptionMismatchException(IDfId objectId)`
  `static DfException`
  `newMultipleObjectsQualify(String predicate, String docbaseName)`
  `static DfException`
  `newNoCacheKeyException()`
  `static DfException`
  `newNoCacheNameException()`
  `static DfException`
  `newNoCacheTypeNameException()`
  `static DfException`
  `newNoEventNameException(String commandName)`
  `static DfException`
  `newNoIdException(String api)`
  `static DfException`
  `newProxyInstantiateFailedException(String className, Throwable cause)`
  `static DfException`
  `newQueryFailException(String dql, Throwable cause)`
  `static DfException`
  `newQuerySessionClosedException()`
  `static DfException`
  `newReplicaAspectGenerationFailed(String className, Throwable cause)`
  `static DfException`
  `newRetentionOnParkedContentDisabled()`
  `static DfException`
  `newSerializeFailedException(Object object, Throwable cause)`
  `static DfException`
  `newShareableTypeMismatchException(String shareableTypeName)`
  `static DfException`
  `newTransactionActiveException()`
  `static DfException`
  `newTransactionLostException()`
  `static DfException`
  `newUnsupportedLoginTicketObjectVersionException(int version)`
  `static DfException`
  `newUpdateBadAttrException(String attributeName)`
  `static DfException`
  `newWrongCacheNameException(String cacheName)`
  `static DfException`
  `noLightweightParentTypeException(String lwTypeName)`
  `static DfException`
  `notShareableParentTypeException(String lwTypeName)`
  `static IDfException`
  `parseException(String exceptionString)`
  Turns a string returned by toStringForCOM into a DfException object.
  `void`
  `printStackTrace(PrintStream s)`
  `void`
  `printStackTrace(PrintWriter s)`
  `static void`
  `registerResourceBundle(ResourceBundle bundle)`
  Registers a resource bundle containing messages used in exceptions.
  `final void`
  `setErrorCode(int errorCode)`
  Deprecated.
  Alphanumeric identifiers are now used instead of numeric error codes
  `protected final void`
  `setErrorCodeRaw(int errorCode)`
  `static void`
  `setIncludeStackTraceInMsg(boolean value)`
  Deprecated.
  Use DfPreferences instead.
  `final void`
  `setMessage(String message)`
  Sets the error message for this exception.
  `final void`
  `setNextException(DfException nextException)`
  `String`
  `toString()`
  `String`
  `toStringForCOM()`
  Returns a string encoding of the exception that can be used to transfer the exception across COM.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DfException

    public DfException()

  - ### DfException

    public DfException(Throwable cause)

  - ### DfException

    public DfException(String message)

  - ### DfException

    public DfException(String message, Throwable cause)

  - ### DfException

    public DfException(String message, Object[] arguments)

  - ### DfException

    public DfException(String message, Object[] arguments, Throwable cause)

  - ### DfException

    public DfException(com.documentum.fc.common.impl.MessageHelper messageHelper)

  - ### DfException

    public DfException(com.documentum.fc.common.impl.MessageHelper messageHelper, Throwable cause)

  - ### DfException

    protected DfException(DfException originalException)
    A special internal constructor used by derived classes when converting a generic DfException into a more specific DfException. It basically amounts to a class change but with the same data.
    Parameters:
      `originalException` -

  - ### DfException

    public DfException(int errorCode)
    Deprecated.
    Alphanumeric identifiers are now used instead of numeric error codes
    Constructs a new instance using the default DFC resource bundle to find the message text.
    See Also:
      - `DfException(String)`
      - `DfException(String, Throwable)`

  - ### DfException

    public DfException(int errorCode, String message)
    Deprecated.
    Alphanumeric identifiers are now used instead of numeric error codes
    Constructs a new instance using the given message text.
    See Also:
      - `DfException(String)`
      - `DfException(String, Throwable)`

  - ### DfException

    public DfException(int errorCode, String arg1, String arg2, String arg3)
    Deprecated.
    Alphanumeric identifiers are now used instead of numeric error codes
    Constructs a new instance using the default DFC resource bundle to find the message text. This constructor will substitute the arguments arg1, arg2 and arg3 for all instances of the tokens {0}, {1}, and {2} in the error message, respectively.
    See Also:
      - `DfException(String, Object[])`
      - `DfException(String, Object[], Throwable)`

  - ### DfException

    public DfException(ResourceBundle bundle, int errorCode)
    Deprecated.
    Alphanumeric identifiers are now used instead of numeric error codes
    Constructs a new instance using a specified resource bundle to find the message text.
    Parameters:
      `errorCode` - the error code associated with this exception
    See Also:
      - `DfException(String)`
      - `DfException(String, Throwable)`

  - ### DfException

    public DfException(ResourceBundle bundle, int errorCode, String arg1, String arg2, String arg3)
    Deprecated.
    Alphanumeric identifiers are now used instead of numeric error codes
    Constructs a new instance using a specified resource bundle to find the message text. This constructor will substitute the arguments arg1, arg2 and arg3 for all instances of the tokens {0}, {1}, and {2} in the error message, respectively.
    See Also:
      - `DfException(String, Object[])`
      - `DfException(String, Object[], Throwable)`

- ## Method Details

  - ### newNoIdException

    public static DfException newNoIdException(String api)

  - ### newBadIdException

    public static DfException newBadIdException(IDfId id)

  - ### newBadDateException

    public static DfException newBadDateException(String value, String pattern)

  - ### newBadDocbaseScopeIdException

    public static DfException newBadDocbaseScopeIdException(long docbaseId)

  - ### newBadTypeException

    public static DfException newBadTypeException(String typeName)

  - ### newBadDataTypeException

    public static DfException newBadDataTypeException(int dataType)

  - ### newApiBadType

    public static DfException newApiBadType(IDfId componentId, String typeName)

  - ### newBadClassException

    public static DfException newBadClassException(String className, String baseClassName, Throwable cause)

  - ### newClassNotFoundException

    public static DfException newClassNotFoundException(String className, Throwable cause)

  - ### newProxyInstantiateFailedException

    public static DfException newProxyInstantiateFailedException(String className, Throwable cause)

  - ### newReplicaAspectGenerationFailed

    public static DfException newReplicaAspectGenerationFailed(String className, Throwable cause)

  - ### newIllegalSBOAccessException

    public static DfException newIllegalSBOAccessException(String sboName)

  - ### newCantApplyException

    public static DfException newCantApplyException(String methodName)

  - ### newCantFetchInvalidId

    public static DfException newCantFetchInvalidId(String objectId)

  - ### newSerializeFailedException

    public static DfException newSerializeFailedException(Object object, Throwable cause)

  - ### newDeserializeFailedException

    public static DfException newDeserializeFailedException(String serializedValue, Throwable cause)

  - ### newMultipleObjectsQualify

    public static DfException newMultipleObjectsQualify(String predicate, String docbaseName)

  - ### newIllegalDateFormatException

    public static DfException newIllegalDateFormatException(String value)

  - ### newMaterializationOptionMismatchException

    public static DfException newMaterializationOptionMismatchException(IDfId objectId)

  - ### newShareableTypeMismatchException

    public static DfException newShareableTypeMismatchException(String shareableTypeName)

  - ### newTransactionActiveException

    public static DfException newTransactionActiveException()

  - ### newTransactionLostException

    public static DfException newTransactionLostException()

  - ### newDynamicGroupUpdateException

    public static DfException newDynamicGroupUpdateException()

  - ### newCantWithOpenTranException

    public static DfException newCantWithOpenTranException(String operationName)

  - ### newBadFlushArgException

    public static DfException newBadFlushArgException(String flushType)

  - ### newFlushDDCacheNoKeyException

    public static DfException newFlushDDCacheNoKeyException()

  - ### newFlushDDCacheBadKeyException

    public static DfException newFlushDDCacheBadKeyException(String cacheKey)

  - ### newFlushRegistryCacheNoKeyException

    public static DfException newFlushRegistryCacheNoKeyException()

  - ### newInvalidTypeException

    public static DfException newInvalidTypeException(String typeName, IDfId objectId, String requiredTypeName)

  - ### newInvalidNewObjectException

    public static DfException newInvalidNewObjectException(String typeName)

  - ### newInvalidAspectName

    public static DfException newInvalidAspectName(String aspectName)

  - ### newCannotDestroyAspect

    public static DfException newCannotDestroyAspect(String aspectName)

  - ### newAlreadyMaterializedException

    public static DfException newAlreadyMaterializedException(IDfId objectId)

  - ### newQueryFailException

    public static DfException newQueryFailException(String dql, Throwable cause)

  - ### newQuerySessionClosedException

    public static DfException newQuerySessionClosedException()

  - ### newAspectMissingPropertyBag

    public static DfException newAspectMissingPropertyBag(String aspectName, IDfId objId, String typeName)

  - ### newInvalidDefaultValue

    public static DfException newInvalidDefaultValue(String typeName, String attrName, String defaultValue)

  - ### newRetentionOnParkedContentDisabled

    public static DfException newRetentionOnParkedContentDisabled()

  - ### newAuditTrailOutOfRangeException

    public static DfException newAuditTrailOutOfRangeException(int valueIndex, String attributeName, int count)

  - ### newNoEventNameException

    public static DfException newNoEventNameException(String commandName)

  - ### newDecodingFailedException

    public static DfException newDecodingFailedException(String tokenName, String tokenValue, Throwable cause)

  - ### newUnsupportedLoginTicketObjectVersionException

    public static DfException newUnsupportedLoginTicketObjectVersionException(int version)

  - ### newNoCacheNameException

    public static DfException newNoCacheNameException()

  - ### newWrongCacheNameException

    public static DfException newWrongCacheNameException(String cacheName)

  - ### newUpdateBadAttrException

    public static DfException newUpdateBadAttrException(String attributeName)

  - ### newFailedPolicyUpdateException

    public static DfException newFailedPolicyUpdateException(Throwable cause)

  - ### newCantExportDirtyObjectException

    public static DfException newCantExportDirtyObjectException(IDfId id)

  - ### newNoCacheTypeNameException

    public static DfException newNoCacheTypeNameException()

  - ### newBadCacheTypeNameException

    public static DfException newBadCacheTypeNameException(String cacheTypeName)

  - ### newNoCacheKeyException

    public static DfException newNoCacheKeyException()

  - ### newCannotChangeSharedParentException

    public static DfException newCannotChangeSharedParentException()

  - ### noLightweightParentTypeException

    public static DfException noLightweightParentTypeException(String lwTypeName)

  - ### notShareableParentTypeException

    public static DfException notShareableParentTypeException(String lwTypeName)

  - ### materializedLightObjectException

    public static DfException materializedLightObjectException(IDfId id)

  - ### getMessageHelper

    protected final com.documentum.fc.common.impl.MessageHelper getMessageHelper()

  - ### getMessage

    public String getMessage()
    Description copied from interface: `IDfException`
    Returns the error message associated with this exception.
    Specified by:
      `getMessage` in interface `IDfException`
    Overrides:
      `getMessage` in class `Throwable`

  - ### getMessageId

    public String getMessageId()
    Description copied from interface: `IDfException`
    Returns the alphanumeric message identifier.
    Specified by:
      `getMessageId` in interface `IDfException`

  - ### getArguments

    public Object[] getArguments()
    Description copied from interface: `IDfException`
    Returns the arguments for this Exception.
    Specified by:
      `getArguments` in interface `IDfException`

  - ### setMessage

    public final void setMessage(String message)
    Description copied from interface: `IDfException`
    Sets the error message for this exception.
    Specified by:
      `setMessage` in interface `IDfException`
    Parameters:
      `message` - the localized error message.

  - ### printStackTrace

    public void printStackTrace(PrintStream s)
    Overrides:
      `printStackTrace` in class `Throwable`

  - ### printStackTrace

    public void printStackTrace(PrintWriter s)
    Overrides:
      `printStackTrace` in class `Throwable`

  - ### getErrorCode

    public final int getErrorCode()
    Deprecated.
    Alphanumeric identifiers are now used instead of numeric error codes
    Description copied from interface: `IDfException`
    Returns the error code associated with this exception object. If no error code has been set, it will have the value IDfException.UNDEFINED.
    Specified by:
      `getErrorCode` in interface `IDfException`

  - ### setErrorCode

    public final void setErrorCode(int errorCode)
    Deprecated.
    Alphanumeric identifiers are now used instead of numeric error codes
    Description copied from interface: `IDfException`
    Sets the error code for the given exception.
    Specified by:
      `setErrorCode` in interface `IDfException`
    Parameters:
      `errorCode` - an application-defined error code.

  - ### setErrorCodeRaw

    protected final void setErrorCodeRaw(int errorCode)

  - ### getThreadInfo

    public final String getThreadInfo()
    Description copied from interface: `IDfException`
    Returns the name of the Java thread on which this exception was thrown.
    Specified by:
      `getThreadInfo` in interface `IDfException`

  - ### getCount

    public final int getCount()
    Description copied from interface: `IDfException`
    Returns the number of exceptions chained to this exception (including this exception itself).
    Specified by:
      `getCount` in interface `IDfException`

  - ### getNextException

    public final IDfException getNextException()
    Description copied from interface: `IDfException`
    Returns the next exception in the chain, that is, the exception which triggered this one. This method allows a handler routine to iterate through the chain of exceptions that resulted in the one that was caught.
    Specified by:
      `getNextException` in interface `IDfException`

  - ### setNextException

    public final void setNextException(DfException nextException)

  - ### getTailException

    public final IDfException getTailException()
    Description copied from interface: `IDfException`
    Returns the last exception in the chain of exceptions. If this is the only exception, this method returns `null`.
    Specified by:
      `getTailException` in interface `IDfException`

  - ### getProperties

    public IDfProperties getProperties()
    Description copied from interface: `IDfException`
    Returns the the IDfProperties interface to the object. Subclasses of DfException may use this to store and expose additional information about the exception.
    Specified by:
      `getProperties` in interface `IDfException`

  - ### getStackTraceAsString

    public String getStackTraceAsString()
    Description copied from interface: `IDfException`
    Returns the Java stack trace as a String. This is useful for debugging purposes.
    Specified by:
      `getStackTraceAsString` in interface `IDfException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Throwable`

  - ### toStringForCOM

    public String toStringForCOM()
    Returns a string encoding of the exception that can be used to transfer the exception across COM. The COM error string can then be turned back into an exception object by calling parseException() on DfClientX.

    In a VB program that provides no error handling routines, the string returned from this method will be displayed in a message box in the event that an exception occurs.

  - ### registerResourceBundle

    public static void registerResourceBundle(ResourceBundle bundle)
    Registers a resource bundle containing messages used in exceptions. This new resource bundle is added to the list of bundles that are searched whenever an exception messages needs to be translated.

    Since exceptions are often logged, the resource bundle is also automatically registered with `DfLogger`.

  - ### appendException

    public static DfException appendException(DfException exptHead, DfException e, int stopAfterNumOfErrors) throws DfException
    Appends a DfException to the end of an exception chain.
    Throws:
      `DfException`

  - ### parseException

    public static IDfException parseException(String exceptionString)
    Turns a string returned by toStringForCOM into a DfException object. Hopefully it will be the same one from which the string came.

  - ### setIncludeStackTraceInMsg

    public static void setIncludeStackTraceInMsg(boolean value)
    Deprecated.
    Use DfPreferences instead.
    Controls a special debugging option for including a stack trace with the message text.

  - ### convert

    public static DfException convert(Exception e)